org.springframework.data.repository.core

## Interface NamedQueries

All Known Implementing Classes:
  PropertiesBasedNamedQueries

    public interface NamedQueries

Abstraction of a map of `NamedQueries` that can be looked up by their names.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getQuery(String queryName)` Returns the named query with the given name.
`boolean` `hasQuery(String queryName)` Returns whether the map contains a named query for the given name.

### Method Detail

#### hasQuery

    boolean hasQuery(String queryName)

Returns whether the map contains a named query for the given name. If this method returns true you can expect `getQuery(String)` to return a non-null query for the very same name.

Parameters:
  `queryName` - must not be null or empty.
Returns:
Throws:
  `IllegalArgumentException` - in case the given name is null or empty.

#### getQuery

    String getQuery(String queryName)

Returns the named query with the given name.

Parameters:
  `queryName` - must not be null or empty.
Returns:
Throws:
  `IllegalArgumentException` - in case no query with the given name exists.